> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 진행 중 통화 듣기 요청

> 진행 중인 AI 통화의 듣기 전용 접속 정보를 발급합니다. `connection`을 그대로 vox.ai SDK(`CallMonitor.start({ connection })`이나 `useCallMonitor`)에 넘기면 통화를 듣고 실시간 대화 내용을 받을 수 있습니다. 통화가 속한 워크스페이스의 서버용 API 키로 호출합니다.



## OpenAPI

````yaml /api-reference/v3/openapi.json post /calls/{call_id}/listen
openapi: 3.1.0
info:
  title: vox.ai API
  description: >
    vox.ai API v3


    ### v3 공개 계약 규칙


    - 인증은 `Authorization: Bearer <token>` 헤더를 사용합니다. 워크스페이스 API 키를 Bearer 토큰으로
    전달합니다.

    - 요청과 응답 필드는 기본적으로 `snake_case`를 사용합니다.

    - `agent.data`는 에이전트 레지스트리와 호환되어야 하므로 `callSettings`, `toolIds`,
    `builtInTools`, `presetDynamicVariables` 같은 camelCase 필드를 유지합니다.

    - `_at`으로 끝나는 타임스탬프는 unix milliseconds입니다. 일부 입력값은 호환성을 위해 10~11자리 unix
    seconds도 허용하고 milliseconds로 정규화합니다.

    - 대량 발신 통화 가능 시간은 분 단위 정수(`start_min` / `end_min`)를 사용합니다. 알림 스케줄은 `HH:MM`
    문자열(`start_time` / `end_time`)을 사용합니다.

    - 응답 객체 자신의 식별자는 `id`입니다. 다른 리소스를 참조하는 필드와 path parameter는 `agent_id`,
    `call_id`, `telephone_line_id`처럼 명시적인 이름을 사용합니다.

    - 실패 응답은 `{ "error": { "code", "message", "details" } }` 형태입니다. 가능한 경우
    `details.field`, `details.reason`, `details.allowed_values`를 함께 제공합니다.
  version: 3.0.0
servers:
  - url: https://client-api.tryvox.co/v3
    description: 운영
security: []
paths:
  /calls/{call_id}/listen:
    post:
      tags:
        - Calls
      summary: 진행 중 통화 듣기 요청
      description: >-
        진행 중인 AI 통화의 듣기 전용 접속 정보를 발급합니다. `connection`을 그대로 vox.ai
        SDK(`CallMonitor.start({ connection })`이나 `useCallMonitor`)에 넘기면 통화를 듣고
        실시간 대화 내용을 받을 수 있습니다. 통화가 속한 워크스페이스의 서버용 API 키로 호출합니다.
      operationId: listenCall
      parameters:
        - name: call_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Call Id
            description: 통화 ID입니다.
          description: 통화 ID입니다.
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListenCallResponse'
        '400':
          description: 요청 검증 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                validationError:
                  summary: 요청 검증 오류
                  value:
                    error:
                      code: VALIDATION_ERROR
                      message: Request validation failed.
                      details:
                        field: name
                        reason: must not be blank
        '401':
          description: 인증이 필요합니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Bearer 토큰 누락 또는 오류
                  value:
                    error:
                      code: UNAUTHORIZED
                      message: Authentication is required.
                      details: {}
        '403':
          description: 권한이 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                organizationApiKeyRequired:
                  summary: 서버용 API 키가 아닌 인증 정보로 호출했습니다.
                  value:
                    error:
                      code: ORGANIZATION_API_KEY_REQUIRED
                      message: 이 경로는 조직 API 키로만 호출할 수 있습니다.
                      details: {}
        '404':
          description: 리소스를 찾을 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  summary: 통화를 찾을 수 없습니다.
                  value:
                    error:
                      code: CALL_NOT_FOUND
                      message: 통화를 찾을 수 없습니다.
                      details:
                        call_id: 33333333-3333-4333-8333-333333333333
        '409':
          description: 충돌이 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                callNotOngoing:
                  summary: 통화가 끝났거나 통화방이 열려 있지 않습니다.
                  value:
                    error:
                      code: CALL_NOT_ONGOING
                      message: 통화가 진행 중이 아닙니다.
                      details:
                        call_id: 33333333-3333-4333-8333-333333333333
        '429':
          description: >-
            요청 한도를 초과했습니다. API 키 트래픽의 기본 한도는 워크스페이스당 초당 5회, 분당 120회입니다. Supabase
            JWT 트래픽의 기본 한도는 사용자당 초당 10회, 분당 240회입니다. 워크스페이스 대시보드에는 분당 2,400회의 기본
            백스톱 한도가 적용됩니다. 운영자는 한도를 조정할 수 있습니다. 초과한 버킷의 실제 한도와 윈도우는 429 응답 헤더에
            표시됩니다. 헤더 이름은 X-RateLimit-Limit와 X-RateLimit-Window입니다. 개별 경로의 자체
            리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
          headers:
            Retry-After:
              description: >-
                초과한 공용 v3 인증 주체 리미터의 윈도우가 초기화될 때까지 남은 시간입니다. 단위는 초입니다. 개별 경로의 자체
                리미터가 만든 429 응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Limit:
              description: >-
                초과한 공용 v3 인증 주체 리미터 윈도우의 최대 요청 수입니다. 개별 경로의 자체 리미터가 만든 429 응답에는
                이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
            X-RateLimit-Window:
              description: >-
                초과한 공용 v3 인증 주체 리미터의 윈도우 길이입니다. 단위는 초입니다. 개별 경로의 자체 리미터가 만든 429
                응답에는 이 헤더가 없을 수 있습니다.
              schema:
                type: integer
                minimum: 1
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                rateLimited:
                  summary: 요청 한도를 초과했습니다.
                  value:
                    error:
                      code: RATE_LIMIT_EXCEEDED
                      message: Too many requests.
                      details:
                        limit: 10
                        window_seconds: 1
                        scope: user
        '500':
          description: 서버 내부 오류가 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                internalError:
                  summary: 서버 내부 오류가 발생했습니다.
                  value:
                    error:
                      code: INTERNAL_ERROR
                      message: Internal server error.
                      details: {}
        '503':
          description: 서비스를 일시적으로 사용할 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                callListenUnavailable:
                  summary: 통화방이 있는 서버를 확인하지 못했습니다. Retry-After 뒤 다시 요청할 수 있습니다.
                  value:
                    error:
                      code: CALL_LISTEN_UNAVAILABLE
                      message: 통화방의 위치를 확인하지 못했습니다. 잠시 후 다시 시도해주세요.
                      details: {}
      security:
        - BearerAuth: []
components:
  schemas:
    ListenCallResponse:
      properties:
        call_id:
          type: string
          format: uuid
          title: Call Id
          description: 듣기 전용 접속 정보를 발급한 통화 UUID입니다.
        connection:
          $ref: '#/components/schemas/ListenCallConnection'
          description: >-
            통화를 듣고 실시간 대화 내용을 받을 접속 정보입니다. 그대로 `CallMonitor.start({ connection
            })`(`@vox-ai/client`)나 `useCallMonitor`(`@vox-ai/react`)에 넘깁니다.
      type: object
      required:
        - call_id
        - connection
      title: ListenCallResponse
      description: >-
        진행 중인 통화의 듣기 전용 접속 정보를 담은 200 응답입니다. 자격 증명이 있어 `Cache-Control:
        no-store`로 보냅니다.
    ErrorResponse:
      type: object
      required:
        - error
      title: ErrorResponse
      description: 모든 실패 응답에서 사용하는 v3 error envelope입니다.
      examples:
        - error:
            code: VALIDATION_ERROR
            message: Request validation failed.
            details:
              field: name
              reason: must not be blank
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
          description: 오류 payload입니다.
    ListenCallConnection:
      properties:
        room:
          type: string
          title: Room
          description: 접속할 통화방 이름입니다.
        token:
          type: string
          title: Token
          description: >-
            듣기 전용 접속 토큰입니다. 듣기만 할 수 있고 오디오, 비디오, 데이터를 보낼 수 없으며, 다른 참가자에게 보이지
            않습니다.
        ws_url:
          type: string
          title: Ws Url
          description: >-
            통화방이 있는 서버의 WebSocket 주소(`wss://`)입니다. 통화마다 다를 수 있으므로 응답 값을 그대로
            사용합니다.
        participant_identity:
          type: string
          title: Participant Identity
          description: 이 접속 정보로 들어가는 참가자 식별자입니다. 요청마다 새 값이며 `monitoring-`으로 시작합니다.
        expires_at:
          type: integer
          title: Expires At
          description: '`token`이 만료되는 시각입니다(unix ms). 이 시각 전에 접속해야 하며, 지나면 다시 발급받습니다.'
      type: object
      required:
        - room
        - token
        - ws_url
        - participant_identity
        - expires_at
      title: ListenCallConnection
      description: 듣기 전용 접속 정보입니다. vox.ai SDK에 그대로 넘기며, 발급 후 600초 안에 접속할 때만 쓸 수 있습니다.
    ErrorDetail:
      type: object
      required:
        - code
        - message
        - details
      title: ErrorDetail
      description: 기계가 읽을 수 있는 v3 오류 상세 정보입니다.
      examples:
        - code: VALIDATION_ERROR
          message: Request validation failed.
          details:
            field: name
            reason: must not be blank
      properties:
        code:
          type: string
          title: Code
          description: 기계가 읽을 수 있는 오류 code입니다. message parsing 대신 이 값을 사용합니다.
          examples:
            - VALIDATION_ERROR
        message:
          type: string
          title: Message
          description: 사용자에게 표시할 수 있는 오류 메시지입니다. 프로그램 처리는 `code`를 사용합니다.
          examples:
            - Request validation failed.
        details:
          type: object
          title: Details
          additionalProperties: true
          description: 구조화된 context입니다. 주로 `field`, `reason`, `allowed_values`를 포함합니다.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API key
      description: '워크스페이스 API 키를 `Authorization: Bearer <token>` 형식으로 보냅니다.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.